Subject: Re: FVWM: GotoDesk could remember previous position on the desk?

From: Dominik Vogt <[email-masked]>
Date: Thu, 2 Aug 2001 21:27:51 +0200

On Sun, Jul 29, 2001 at 02:38:51PM +0200, Jacek Kopecky wrote:
> (I apologize I forgot to specify the subject last time, so I'm
> resending it properly now. If you read my mail with no subject,
> you need not read this one.)
> 
> Hi, I have this enhancement request:
> 
> I use different desktops for different tasks, e.g. desk 0 for
> mail and www, desk 1 for development.
> 
> When I'm switching among the desktops, I usually want to go to a
> different page as well (I have 3x4 pages), like I'm on the page 1
> 0 on desk 1 and I'd like to go directly to 0 0 on desk 0 because
> that's where I was last time.
> 
> Imagine I have a terminal with a long compilation on desk 1, page
> 1 0 (quite a common situation ) and I want to be there
> automagically when the compilation ends and it beeps and I press
> the button that gets me to desk 1. And all that regardless of
> where I was on the other desktop, reading fvwm news while the
> compilation was in progress. 8-)
> 
> Maybe the attached diff of my quick-and-dirty solution will help
> if my previous text is not clear enough.
> 
> (I'm not on the list so please cc your replies to me.)

Since the used desks can have any number (e.g. -1) your patch is
only a solution for a few desks.  The idea is certainly a good
one, but we need to spend more thoughts on the implementation.
I will record this as an enhandement request for now.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].